# coding: utf-8
'''
ALTER KEYSPACE

Changes keyspace replication strategy and enables or disables commit log.

Synopsis

replication_map
    'class' : 'SimpleStrategy', 'replication_factor' : N

    Assigns the same replication factor to the entire cluster. Use for evaluation and single datacenter test and development environments only.

    'class' : 'NetworkTopologyStrategy', 'datacenter_name' : N, ...

    After the class declaration, assign replication factors to each datacenter by name in a comma-separated list. Use in production environments and multi-DC test and development environments. Datacenter names must match the snitch DC name; see SnitchesSnitches.

    **Important:** Use only replication strategy implementations bundled with DSEDDAC.

DURABLE_WRITES = true | false
    Optional. (Not recommended), false bypasses the commit log when writing to the keyspace. Default value is `true`.


'''
