# coding: utf-8
'''
REVOKE

Removes privileges on database objects from a role.

CAUTION:

`REVOKE` does not automatically invalidate cached credentials and permissions. Permissions are invalidated the next time they are refreshed.

Synopsis


REVOKE privilege
  ON resource_name
  FROM role_name ;


privilege
    Permissions granted on a resource to a role; grant a privilege at any level of the resource hierarchy. The full set of available privileges is:

    -   ALL PERMISSIONS
    -   ALTER
    -   AUTHORIZE
    -   CREATE
    -   DESCRIBE
    -   DROP
    -   EXECUTE
    -   MODIFY
    -   PROXY.EXECUTE
    -   PROXY.LOGIN
    -   SEARCH.ALTER
    -   SEARCH.COMMIT
    -   SEARCH.CREATE
    -   SEARCH.DROP
    -   SEARCH.REBUILD
    -   SEARCH.RELOAD
    -   SELECT

resource_name
    The DataStax EnterpriseDataStax Distribution of Apache Cassandra™ database objects to which permissions are applied. Database resources have modelled hierarchy. Grant permissions on a resource higher in the chain to automatically grant that same permission on all resources lower down.

    **Note:** Not all privileges apply to every type of resource. For instance, `EXECUTE` is only relevant in the context of functions, MBeans, RPC, and authentication schemes. Attempting to grant privileges on a resource that the permission is not applicable results in an error.


'''
